- JWT token (OAuth)
- API key
Authentication Methods for Webhooks Verification
Pleo supports the following:- HMAC Signature-Based: We support and recommend this authentication method. To learn more, click here.
- Basic authentication: If the integration does not support HMAC signature-based authentication, use this method as an alternative option. To learn more, click here.
- Header-based authentication: If the integration does not support HMAC signature-based authentication, you can use header-based authentication as another alternative option. To learn more, click here.
HMAC Signature-Based Authentication
In this authentication method, webhook-timsetamp and webhook-signature are sent in the request headers as unique parameters of the webhook notification.Basic Authentication
In this method of authentication, the integration can sendusername and password in the request header of Create a Subscription request. The credentials are also included in the webhook notification sent to the configured endpoint, enabling the consumer system to validate the authenticity of the notification using the Basic Authentication mechanisms.
Endpoint: POST /v1/subscriptions
Request message: